Run Phone Enrichment US
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-phone-enrichment-us \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone": "12069735100"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-phone-enrichment-us"
payload = { "phone": "12069735100" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone: '12069735100'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-phone-enrichment-us', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
"kind": "phone_enrichment_us",
"phone": "12069735100",
"human": "# Phone enrichment US\n\n- **Input Phone:** 12069735100\n- **Resolved Phone:** 12069735100\n- **Valid:** Yes\n- **Activity Score:** 87\n- **Line Type:** mobile\n- **Carrier:** Verizon Wireless\n- **Prepaid:** No\n- **Country:** United States (US) +1\n- **Litigator Risk:** No\n\n## Owners\n\n### Owner 1\n- **Name:** Sam Altman\n- **Type:** person\n- **Current Addresses:**\n - San Francisco, California, US",
"machine": {
"id": "tr_phone_01HZX1234567890",
"phone_number": "12069735100",
"is_valid": true,
"activity_score": 87,
"country_calling_code": "1",
"country_code": "US",
"country_name": "United States",
"line_type": "mobile",
"carrier": "Verizon Wireless",
"is_prepaid": false,
"is_litigator_risk": false,
"owners": [
{
"id": "owner_123",
"name": "Sam Altman",
"firstname": "Sam",
"middlename": null,
"lastname": "Altman",
"alternate_names": [],
"age_range": null,
"gender": null,
"type": "person",
"link_to_phone_start_date": null,
"industry": [],
"current_addresses": [
{
"id": "addr_123",
"location_type": "current",
"street_line_1": null,
"street_line_2": null,
"city": "San Francisco",
"postal_code": null,
"zip4": null,
"state_code": "CA",
"country_code": "US",
"delivery_point": null,
"link_to_person_start_date": null
}
]
}
],
"warnings": [],
"error": null
},
"total_points": 100
}Data Sources
Run Phone Enrichment US
Validates and enriches a US phone number with carrier and activity details.
POST
/
functions
/
v1
/
run-phone-enrichment-us
Run Phone Enrichment US
⌘I